/* mq - Gnome Music Quiz Game
Copyright (C) 2004 - Charles Schmidt <cschmidt2@emich.edu>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MQ_H__
#define __MQ_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "rhythmdb.h"

#define WIDTH 600
#define HEIGHT 438
#define PADDING 12

#define NUM_ROUNDS 25

#define BACKGROUND_COLOR 0x000000ff
#define HEADER_COLOR 0xff0000ff
#define INSTRUCTION_COLOR 0xff9900ff
#define SELECTION_COLOR 0x0000ffff

typedef enum {
	MQ_GAME_ARTIST = RHYTHMDB_PROP_ARTIST,
	MQ_GAME_ALBUM = RHYTHMDB_PROP_ALBUM,
	MQ_GAME_TITLE = RHYTHMDB_PROP_TITLE
} MQGameType;



#ifdef __cplusplus
}
#endif


#endif



